Package org.apache.solr.client.solrj.request

# Class SolrQuery.SortClause

java.lang.Object
org.apache.solr.client.solrj.request.SolrQuery.SortClause

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SolrQuery`

public static class SolrQuery.SortClause extends Object implements Serializable
A single sort clause, encapsulating what to sort and the sort order.

The item specified can be "anything sortable" by solr; some examples include a simple field name, the constant string `score`, and functions such as `sum(x_f, y_f)`.

A SortClause can be created through different mechanisms:

     new SortClause("product", SolrQuery.ORDER.asc);
     new SortClause("product", "asc");
     SortClause.asc("product");
     SortClause.desc("product");

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SortClause(String item, String order)`
Creates a SortClause based on item and order
`SortClause(String item, SolrQuery.ORDER order)`
Creates a SortClause based on item and order

## Method Summary

Modifier and Type
Method
Description
`static SolrQuery.SortClause`
`asc(String item)`
Creates an ascending SortClause for an item
`static SolrQuery.SortClause`
`create(String item, String order)`
Creates a SortClause based on item and order
`static SolrQuery.SortClause`
`create(String item, SolrQuery.ORDER order)`
Creates an ascending SortClause for an item
`static SolrQuery.SortClause`
`desc(String item)`
Creates a descending SortClause for an item
`boolean`
`equals(Object other)`
`String`
`getItem()`
Gets the item to sort, typically a function or a field name
`SolrQuery.ORDER`
`getOrder()`
Gets the order to sort
`int`
`hashCode()`
`String`
`toString()`
Gets a human-readable description of the sort clause.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SortClause

public SortClause(String item, SolrQuery.ORDER order)
Creates a SortClause based on item and order

Parameters:
  `item` - item to sort on
  `order` - direction to sort

### SortClause

public SortClause(String item, String order)
Creates a SortClause based on item and order

Parameters:
  `item` - item to sort on
  `order` - string value for direction to sort

## Method Details

### create

public static SolrQuery.SortClause create(String item, SolrQuery.ORDER order)
Creates an ascending SortClause for an item

Parameters:
  `item` - item to sort on

### create

public static SolrQuery.SortClause create(String item, String order)
Creates a SortClause based on item and order

Parameters:
  `item` - item to sort on
  `order` - string value for direction to sort

### asc

public static SolrQuery.SortClause asc(String item)
Creates an ascending SortClause for an item

Parameters:
  `item` - item to sort on

### desc

public static SolrQuery.SortClause desc(String item)
Creates a descending SortClause for an item

Parameters:
  `item` - item to sort on

### getItem

public String getItem()
Gets the item to sort, typically a function or a field name

Returns:
  item to sort

### getOrder

public SolrQuery.ORDER getOrder()
Gets the order to sort

Returns:
  order to sort by

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()
Gets a human-readable description of the sort clause.

The returned string is not suitable for passing to Solr, but may be useful in debug output and the like.

Overrides:
  `toString` in class `Object`
Returns:
  a description of the current sort clause